Bug 1553833 - [RFE][M-5] Dynamic sysprep provisioning parameters for rhv deployments through cloudforms
Summary: [RFE][M-5] Dynamic sysprep provisioning parameters for rhv deployments throug...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks: 1555371 1598604
TreeView+ depends on / blocked
 
Reported: 2018-03-09 16:23 UTC by Felix Dewaleyne
Modified: 2019-02-07 23:01 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.17
Doc Type: Enhancement
Doc Text:
This release of Red Hat CloudForms adds dynamic sysprep provisioning parameters for Red Hat virtualization provides. A new Sysprep Specification form has been added under the Customization tab when provisioning virtual machines. This new form allows users to provide sysprep parameters that are passed to the provisioned VM. Customized templates, located at the bottom of the Customize tab, are required to use this new form.
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: Feature
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
sysprep_doc.png (88.51 KB, image/png)
2018-11-28 13:53 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 275 'None' closed Add sysprep support for ovirt 2020-01-23 14:29:41 UTC
Github ManageIQ manageiq-ui-classic pull 4211 'None' closed Add sysprep support for ovirt 2020-01-23 14:29:41 UTC
Github ManageIQ manageiq pull 17636 'None' closed Add sysprep support for oVirt provider 2020-01-23 14:29:41 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Comment 20 Ilanit Stein 2018-10-09 10:21:36 UTC
Verified on CFME-5.10.0.17/RHV-4.2.3

Run the attached Polarion test cases, for Windows 2012 R2 64 bit:

* Windows VM provision, using the windows 2012 built in template (unchanged),
and fill Sysprep parameters in the UI Sysprep specification form.

* Windows VM provision, using a customize template. In this case the UI Sysprep specification form has no affect.

* Windows VM provision, using the windows 2012 built in template (unchanged), with Sysprep Specification form filled partially.

Comment 21 Ilanit Stein 2018-11-28 13:53:48 UTC
Created attachment 1509520 [details]
sysprep_doc.png

Comment 22 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.